﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.Interfaces;
using Kreta.Resources;

namespace Kreta.Web.Areas.HRModul.Models
{
    public class TavolletjelentoGridModel : IKretaIdentity
    {
        public string ID { get; set; }

        public int TipusId { get; set; }
        public string StatuszId { get; set; }
        public string AlkalmazottId { get; set; }
        public string AlkalmazottGuid { get; set; }
        public string RogzitoId { get; set; }
        public string RogzitoGuid { get; set; }
        public bool Torolt_BOOL { get; set; }
        public string ToroltStatusz { get { return HRModulResource.Torolt; } }
        public bool IsTorolheto { get; set; }

        [Display(Name = nameof(HRModulResource.Alkalmazott), ResourceType = typeof(HRModulResource))]
        public string AlkalmazottNev { get; set; }

        [Display(Name = nameof(HRModulResource.SzTSzAzonosito), ResourceType = typeof(HRModulResource))]
        public string SzTSzAzonosito { get; set; }

        [Display(Name = nameof(HRModulResource.TavolletKezdet), ResourceType = typeof(HRModulResource))]
        public DateTime IdoszakKezdet { get; set; }

        [Display(Name = nameof(HRModulResource.TavolletVeg), ResourceType = typeof(HRModulResource))]
        public DateTime IdoszakVeg { get; set; }

        [Display(Name = nameof(HRModulResource.MelleklettelRendelkezik), ResourceType = typeof(HRModulResource))]
        public bool HasMelleklet_BOOL { get; set; }

        [Display(Name = nameof(HRModulResource.MelleklettelRendelkezik), ResourceType = typeof(HRModulResource))]
        public string HasMelleklet_BNAME { get; set; }

        [Display(Name = nameof(HRModulResource.RogzitesDatuma), ResourceType = typeof(HRModulResource))]
        public DateTime RogzitesDatuma { get; set; }

        [Display(Name = nameof(HRModulResource.TavolletIdotartamNap), ResourceType = typeof(HRModulResource))]
        public int? MunkanapSzam { get; set; }

        [Display(Name = nameof(HRModulResource.HatralevoSzabadnapokSzama), ResourceType = typeof(HRModulResource))]
        public int? HatralevoNapokSzama { get; set; }

        [Display(Name = nameof(HRModulResource.Statusz), ResourceType = typeof(HRModulResource))]
        public string StatuszId_DNAME { get; set; }

        [Display(Name = nameof(HRModulResource.TavolletOka), ResourceType = typeof(HRModulResource))]
        public string TipusId_DNAME { get; set; }
    }
}
