﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Kreta.Enums.ManualEnums;
using Kreta.Resources;
using Kreta.Web.Areas.HRModul.Logic;
using Kreta.Web.Areas.UgyfelSzolgalat.Models;

namespace Kreta.Web.Areas.HRModul.Models
{
    public class TavolletjelentoModel
    {
        public int? ID { get; set; }
        public bool IsKezeles { get; set; }
        public bool IsAdminCall { get; set; }
        public bool IsLeaderCall { get; set; }
        public bool IsHianypotlas { get; set; }
        public bool IsNemRogzitoIntezmeny { get; set; }
        public int StatuszId { get; set; }
        public int RogzitoId { get; set; }
        public Guid? EredetiRogzitoGuid { get; set; }
        public DateTime MinKezdet { get; set; }
        public WorkflowMuveletEnum Muvelet { get; set; }
        public TavolletjelentoViewTypeEnum ViewType { get; set; }
        public List<CsatolmanyModel> FilesArray { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletOkaKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletOka), ResourceType = typeof(HRModulResource))]
        public int? TavolletOka { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.AlkalmazottListKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.AlkalmazottAk), ResourceType = typeof(HRModulResource))]
        public string[] AlkalmazottList { get; set; }
        public int? AlkalmazottFilterId { get; set; }
        [Display(Name = nameof(HRModulResource.AlkalmazottAk), ResourceType = typeof(HRModulResource))]
        public string AlkalmazottNeve { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletIdotartamNapKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletIdotartamNap), ResourceType = typeof(HRModulResource))]
        public int? TavolletIdotartamNap { get; set; }

        [StringLength(1000, ErrorMessageResourceName = nameof(HRModulResource.HianypotlasSzovegMaxKarakter), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.HianypotlasSzoveg), ResourceType = typeof(HRModulResource))]
        public string HianypotlasSzoveg { get; set; }

        public string KozpontiHianypotlasSzoveg { get; set; }

        [StringLength(255, ErrorMessageResourceName = nameof(HRModulResource.MegjegyzesMaxKarakter), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.Megjegyzes), ResourceType = typeof(HRModulResource))]
        public string Megjegyzes { get; set; }

        public int MegjegyzesMezoMaxHossza { get; set; }
        [StringLength(255, ErrorMessageResourceName = nameof(HRModulResource.MegjegyzesMaxKarakter), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.UjMegjegyzes), ResourceType = typeof(HRModulResource))]
        public string MegjegyzesMezo { get; set; }

        [Display(Name = nameof(HRModulResource.Megjegyzes), ResourceType = typeof(HRModulResource))]
        public IList<TavolletjelentoMegjegyzesItem> OsszefuzottMegjegyzesek { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletKezdetKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletKezdet), ResourceType = typeof(HRModulResource))]
        public DateTime? TavolletKezdet { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletVegKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletVeg), ResourceType = typeof(HRModulResource))]
        public DateTime? TavolletVeg { get; set; }

        [Display(Name = nameof(HRModulResource.Statusz), ResourceType = typeof(HRModulResource))]
        public string StatuszNeve { get; set; }

        [Display(Name = nameof(HRModulResource.RogzitoNeve), ResourceType = typeof(HRModulResource))]
        public string RogzitoNeve { get; set; }
    }
}
