﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Kreta.Resources;

namespace Kreta.Web.Areas.HRModul.Models
{
    public class TavolletjelentoTobbesModel
    {
        public bool ElteroSorok { get; set; }
        public bool FelhasznaloTobbszorKivalasztva { get; set; }
        public string TavolletIDArrayString { get; set; }

        public Dictionary<int, AlkalmazottAdat> TavolletekDictionary { get; set; }
        public string[] TavolletIdArray => TavolletIDArrayString?.Split(',');
        public string TavolletAlkalmazottIdArrayString { get; set; }
        public string[] TavolletAlkalmazottIdArray => this.TavolletAlkalmazottIdArrayString?.Split(',');

        [Display(Name = nameof(HRModulResource.KivalasztottAlkalmazottak), ResourceType = typeof(HRModulResource))]
        public string TavolletAlkalmazottNevArray { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletOkaKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletOka), ResourceType = typeof(HRModulResource))]
        public int? TavolletOka { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletIdotartamNapKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletIdotartamNap), ResourceType = typeof(HRModulResource))]
        public int? TavolletIdotartamNap { get; set; }

        [StringLength(255, ErrorMessageResourceName = nameof(HRModulResource.MegjegyzesMax255Karakter), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.Megjegyzes), ResourceType = typeof(HRModulResource))]
        public string MegjegyzesMezo { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletKezdetKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletKezdet), ResourceType = typeof(HRModulResource))]
        public DateTime? TavolletKezdet { get; set; }

        [Required(ErrorMessageResourceName = nameof(HRModulResource.TavolletVegKotelezo), ErrorMessageResourceType = typeof(HRModulResource))]
        [Display(Name = nameof(HRModulResource.TavolletVeg), ResourceType = typeof(HRModulResource))]
        public DateTime? TavolletVeg { get; set; }
    }

    public class AlkalmazottAdat
    {
        public string AlkalmazottSzTSz { get; set; }
        public string RogzitoFunkcioTerulet { get; set; }
    }
}
